#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './wdgconvertcolorspace.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "wdgconvertcolorspace.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kis_cmb_idlist.h"
#include "squeezedcombobox.h"

/*
 *  Constructs a WdgConvertColorSpace as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
WdgConvertColorSpace::WdgConvertColorSpace( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "WdgConvertColorSpace" );
    WdgConvertColorSpaceLayout = new QGridLayout( this, 1, 1, 11, 6, "WdgConvertColorSpaceLayout"); 

    lblConvert = new QLabel( this, "lblConvert" );

    WdgConvertColorSpaceLayout->addWidget( lblConvert, 0, 0 );

    cmbColorSpaces = new KisCmbIDList( this, "cmbColorSpaces" );
    cmbColorSpaces->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, cmbColorSpaces->sizePolicy().hasHeightForWidth() ) );

    WdgConvertColorSpaceLayout->addWidget( cmbColorSpaces, 0, 1 );

    cmbDestProfile = new SqueezedComboBox( this, "cmbDestProfile" );

    WdgConvertColorSpaceLayout->addWidget( cmbDestProfile, 1, 1 );

    grpIntent = new QButtonGroup( this, "grpIntent" );
    grpIntent->setColumnLayout(0, Qt::Vertical );
    grpIntent->layout()->setSpacing( 6 );
    grpIntent->layout()->setMargin( 11 );
    grpIntentLayout = new QGridLayout( grpIntent->layout() );
    grpIntentLayout->setAlignment( Qt::AlignTop );

    radioPerceptual = new QRadioButton( grpIntent, "radioPerceptual" );
    radioPerceptual->setChecked( TRUE );

    grpIntentLayout->addWidget( radioPerceptual, 0, 0 );

    radioRelativeColorimetric = new QRadioButton( grpIntent, "radioRelativeColorimetric" );

    grpIntentLayout->addWidget( radioRelativeColorimetric, 1, 0 );

    radioSaturation = new QRadioButton( grpIntent, "radioSaturation" );

    grpIntentLayout->addWidget( radioSaturation, 2, 0 );

    radioAbsoluteColorimetric = new QRadioButton( grpIntent, "radioAbsoluteColorimetric" );

    grpIntentLayout->addWidget( radioAbsoluteColorimetric, 3, 0 );

    WdgConvertColorSpaceLayout->addMultiCellWidget( grpIntent, 2, 2, 0, 1 );

    lblDestICMProfile = new QLabel( this, "lblDestICMProfile" );

    WdgConvertColorSpaceLayout->addWidget( lblDestICMProfile, 1, 0 );
    languageChange();
    resize( QSize(399, 228).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    lblConvert->setBuddy( cmbColorSpaces );
    lblDestICMProfile->setBuddy( cmbDestProfile );
}

/*
 *  Destroys the object and frees any allocated resources
 */
WdgConvertColorSpace::~WdgConvertColorSpace()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void WdgConvertColorSpace::languageChange()
{
    setCaption( tr2i18n( "Colorspace Conversion" ) );
    lblConvert->setText( tr2i18n( "&Target color space:" ) );
    cmbDestProfile->clear();
    cmbDestProfile->insertItem( tr2i18n( "Default" ) );
    grpIntent->setTitle( tr2i18n( "&Rendering Intent" ) );
    QToolTip::add( grpIntent, QString::null );
    radioPerceptual->setText( tr2i18n( "Perceptual" ) );
    radioPerceptual->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( radioPerceptual, tr2i18n( "For images" ) );
    QWhatsThis::add( radioPerceptual, tr2i18n( "Hue hopefully maintained (but not required),\n"
"lightness and saturation sacrificed to maintain\n"
"the perceived color. White point changed to\n"
"result in neutral grays. Intended for images." ) );
    radioRelativeColorimetric->setText( tr2i18n( "Relative colorimetric" ) );
    radioRelativeColorimetric->setAccel( QKeySequence( QString::null ) );
    QWhatsThis::add( radioRelativeColorimetric, tr2i18n( "Within and outside gamut; same as Absolute\n"
"Colorimetric. White point changed to result in\n"
"neutral grays.\n"
"\n"
"If adequate table is present in profile,\n"
"then, it is used. Else reverts to perceptual\n"
"intent." ) );
    radioSaturation->setText( tr2i18n( "Saturation" ) );
    radioSaturation->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( radioSaturation, tr2i18n( "Best for graphs and charts" ) );
    QWhatsThis::add( radioSaturation, tr2i18n( "Hue and saturation maintained with lightness\n"
"sacrificed to maintain saturation. White point\n"
"changed to result in neutral grays. Intended for\n"
"business graphics (make it colorful charts,\n"
"graphs, overheads, ...)\n"
"\n"
"If adequate table is present in profile,\n"
"then, it is used. Else reverts to perceptual\n"
"intent." ) );
    radioAbsoluteColorimetric->setText( tr2i18n( "Absolute colorimetric" ) );
    radioAbsoluteColorimetric->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( radioAbsoluteColorimetric, tr2i18n( "Best for spot colours" ) );
    QWhatsThis::add( radioAbsoluteColorimetric, tr2i18n( "Within the destination device gamut; hue,\n"
"lightness and saturation are maintained. Outside\n"
"the gamut; hue and lightness are maintained,\n"
"saturation is sacrificed. White point for source\n"
"and destination; unchanged. Intended for spot\n"
"colors (Pantone, TruMatch, logo colors, ...)" ) );
    lblDestICMProfile->setText( tr2i18n( "&Destination ICM profile:" ) );
}

#include "wdgconvertcolorspace.moc"
